Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.event
Interface EventProducer

All Superinterfaces:
  Remote

All Known Subinterfaces:
  Cybernode, ProvisionMonitor, Service

All Known Implementing Classes:
  AbstractProxy, BeanAdapter, JMXConnectorService, ServiceBeanAdapter, ServiceProvider

    public interface EventProducer

extends Remote

The EventProducer defines the support for an event consumer to register for events a service produces

Method Summary
`EventRegistration` | `register(EventDescriptor descriptor, RemoteEventListener listener, MarshalledObject handback, long duration)` The register method creates a leased `EventRegistration` for the EventDescriptor type passed in based on the requested lease duration.

Method Detail

### register

    EventRegistration register(EventDescriptor descriptor,
                               RemoteEventListener listener,
                               MarshalledObject handback,
                               long duration)
                               throws LeaseDeniedException,
                                      UnknownEventException,
                                      RemoteException

  The register method creates a leased `EventRegistration` for the EventDescriptor type passed in based on the requested lease duration. The implied semantics of notification are dependant on `EventHandler` specializations.

  Parameters:
    `descriptor` - The EventDescriptor to register
    `listener` - A RemoteEventListener
    `handback` - A MarshalledObject referencing a handback object to be used with Event notification
    `duration` - Requested EventRegistration lease duration
  Returns:
    An EventRegistration
  Throws:
    `NullPointerException` - if the descriptor parameter is null
    `UnknownEventException` - if the service does not produce events described by the EventDescriptor
    `LeaseDeniedException` - if the duration parameter is not accepted
    `RemoteException` - if communication errors occur

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.